import json
from jinja2 import Environment, FileSystemLoader

def generate_html(json_data, template_file, output_file):
    env = Environment(loader=FileSystemLoader('.'))
    template = env.get_template(template_file)
    
    with open(output_file, "w") as f:
        f.write(template.render(packages=json_data))

if __name__ == "__main__":
    # Load JSON data from output.json
    with open("output.json", "r") as f:
        json_data = json.load(f)

    # Generate HTML from JSON data using the template
    generate_html(json_data, "template.html", "output.html")
