#!/usr/bin/bash

index=1

all=`ls | wc -l`

classify_dir(){
    for r in `ls`;
    do
        src_name=`dnf repoquery -q --queryformat "%{SOURCE_NAME}" $r`
        echo "$index in $all"
        index=$(expr $index + 1)
        if [ -d $src_name ]; then
            mv $r $src_name/
            continue
        fi

        mkdir $src_name
        mv $r $src_name/
    done
}

download_debug(){
    index=1

    for d in `ls`;
    do
        pushd $d
        for r in `ls`;
        do
            dbg=`rpm -q --queryformat="%{NAME}-debuginfo-%{VERSION}-%{RELEASE}" $r`
            dbg2=`dnf repoquery --queryformat "%{SOURCE_NAME}-debuginfo-%{VERSION}-%{RELEASE}" $r`
            dnf download $dbg
            dnf download $dbg2
        done
        popd
        echo "debug download:$index in $all"
        index=$(expr $index + 1)
    done
}

classify_dir
download_debug
